require 'rubygems'
require 'mqtt'
require 'rest-client'
require 'json'

MQTT::Client.connect('lsdi.ufma.br') do |c|
	  # If you pass a block to the get method, then it will loop
   c.get('cddl-mhub/smartlab_hub@lsdi.ufma.br/Temperature') do |topic,message|
       #puts "#{topic}: #{message}"
	   temperature = message[/\d\d\.\d/]
	   message_json = JSON.parse(message)
	   timestamp = message_json['qoc']["publishedAt"]
	   sec = (timestamp.to_f / 1000).to_s
	   ftime = Date.strptime(sec, '%s').strftime('%Y-%m-%dT%H:%M:%S.%LZ')
	   hash = {
"data": [
      {
      "temperature": temperature,
      "timestamp": ftime
	}
]
		   }
	   puts RestClient.post('http://localhost:8000/adaptor/resources/1bb05afa-1620-48ff-b47e-550123888869/data/temperature',hash)
   end
end
