require 'rubygems'
require 'mqtt'
require 'rest-client'
require 'json'
#hash = {
#	"data": [
#	{
#		"temperature": 11,
#		"timestamp": "2017-06-15T17:52:25.428Z"
#	}
#	 ]
#}
#puts RestClient.post('http://localhost:8000/adaptor/resources/98ec327c-2b2a-4d77-82b3-a63e11dc6cf5/data/temperature', hash)

MQTT::Client.connect('lsdi.ufma.br') do |c|
	  # If you pass a block to the get method, then it will loop
	c.get('cddl-mhub/smartlab_hub@lsdi.ufma.br/Humidity') do |topic,message|
#       puts "#{topic}: #{message}"
	   humidity = message[/\d\d\.\d/]
	   message_json = JSON.parse(message)
	   timestamp = message_json['qoc']["publishedAt"]
	   sec = (timestamp.to_f / 1000).to_s
	   ftime = Date.strptime(sec, '%s').strftime('%Y-%m-%dT%H:%M:%S.%LZ')
	   hash = {
"data": [
      {
      "humidity": humidity,
      "timestamp": ftime
	}
]
		   }
	   puts RestClient.post('http://localhost:8000/adaptor/resources/1bb05afa-1620-48ff-b47e-550123888869/data/humidity',hash)
   end
end
